(function (Drupal) {
  Drupal.behaviors.xNavigationBehavior = {
    attach: function (context, settings) {

      // Ensure the behavior runs only once.
      const menuBuilder = context.querySelector('#menu-builder');
      if (menuBuilder) {
        const colorScheme = settings.xNavigation.color_scheme || 'default';

        if (colorScheme === 'blackstone') {
          menuBuilder.classList.add('xnavigation-blackstone');
        } else if (colorScheme === 'slate') {
          menuBuilder.classList.add('xnavigation-slate');
        }
      }
    }
  };
})(Drupal);
